Index: npl/overig/libhx/libhx.SlackBuild
===================================================================
--- npl/overig/libhx/libhx.SlackBuild	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx.SlackBuild	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/libhx/libhx.arch
===================================================================
--- npl/overig/libhx/libhx.arch	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx.arch	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libhx/libhx.build
===================================================================
--- npl/overig/libhx/libhx.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libhx/libhx.md5
===================================================================
--- npl/overig/libhx/libhx.md5	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx.md5	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,5 @@
+7192aef2e83ed9d824d9bc5501270a70  ./libHX-3.24.tar.xz
+2e79ec6f149def279b0505a63fc86925  ./libhx_dev.pkg
+241048f6a7d87d91bb2c670ef7990c79  ./libhx.pkg
+9778f95a4592a0da63c9fa763ed9ae94  ./libhx.SlackBuild
+deb710c647b817ca361c626872f31caa  ./libhx.SlackBuild.log.gz
Index: npl/overig/libhx/libhx.version
===================================================================
--- npl/overig/libhx/libhx.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+3.24
Index: npl/overig/libhx/libhx_dev.arch
===================================================================
--- npl/overig/libhx/libhx_dev.arch	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx_dev.arch	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libhx/libhx_dev.build
===================================================================
--- npl/overig/libhx/libhx_dev.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx_dev.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libhx/libhx_dev.version
===================================================================
--- npl/overig/libhx/libhx_dev.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
+++ npl/overig/libhx/libhx_dev.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -0,0 +1,1 @@
+3.24
Index: npl/overig/libvmime/libvmime.build
===================================================================
--- npl/overig/libvmime/libvmime.build	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/overig/libvmime/libvmime.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -1,1 +1,1 @@
-6534
+6535
Index: npl/overig/libvmime/libvmime.md5
===================================================================
--- npl/overig/libvmime/libvmime.md5	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/overig/libvmime/libvmime.md5	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -1,6 +1,6 @@
-fdc8a9059fe9ddf3f3f01bf92a5f9b11  ./libvmime_dev.pkg
-86aace2e0ea671d7f670e3e59cecdf8b  ./libvmime.pkg
+5bab9cf3ea207d08c693192f30e36850  ./libvmime_dev.pkg
+afe675c86f4ed9bd6e34dd86708d9a66  ./libvmime.pkg
 f61cd09cfb954985853d9dd8105053cd  ./libvmime.SlackBuild
-e84baefa21cee12e07295415844e32b1  ./libvmime.SlackBuild.log.gz
+ee18248d9797734102106636668ede51  ./libvmime.SlackBuild.log.gz
 78b81040f172fbfad5a732e1fcffaa34  ./post.libvmime
-64ea8fad39df20f7bf32573ee37f4a6f  ./vmime-0.9.2.tar.gz
+ebb6426b162073964f47ce3807fa5021  ./vmime-0.9.2k3.tar.gz
Index: npl/overig/libvmime/libvmime.version
===================================================================
--- npl/overig/libvmime/libvmime.version	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/overig/libvmime/libvmime.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -1,1 +1,1 @@
-0.9.2
+0.9.2k3
Index: npl/overig/libvmime/libvmime_dev.build
===================================================================
--- npl/overig/libvmime/libvmime_dev.build	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/overig/libvmime/libvmime_dev.build	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -1,1 +1,1 @@
-6534
+6535
Index: npl/overig/libvmime/libvmime_dev.version
===================================================================
--- npl/overig/libvmime/libvmime_dev.version	(revision cf6b9ba348f569e1dc986a9fc78b16cc80711bfb)
+++ npl/overig/libvmime/libvmime_dev.version	(revision fe3434a4b56fb281f941e30542379b42a3463b2c)
@@ -1,1 +1,1 @@
-0.9.2
+0.9.2k3
